#! /usr/bin/rpm
%define  sovers         0
%define _unpackaged_files_terminate_build  0
 
# --------------------------------------------------------------------
Summary: 	C++ interface to RCU Data 
Name: 		fmdda0
Version: 	0.1
Release: 	6
License: 	GPL
Group: 		Development/Libraries
URL: 		http://cern.ch/cholm
Source0: 	fmdda-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/fmdda-%{version}-%{release}-buildroot
BuildRequires:	rcudb-devel
BuildRequires:	rcugsl-devel
BuildRequires:  readraw-devel
# Conflicts:	fmdda < 0.17-4
%description
C++ interface to RCU data

%files
%defattr(-,root,root)
%{_prefix}/lib/lib*.so.*


# --------------------------------------------------------------------
%package -n fmdda-bin
Summary:	C++ interface to RCU 
Group:		Development/System
Requires:	%{name}
%description -n fmdda-bin
C++ interface to RCU data

%files -n fmdda-bin
%defattr(-,root,root)
%{_prefix}/bin/fmdped
%{_prefix}/bin/fmdgain
%{_prefix}/share/man/man1/fmdped.1*
%{_prefix}/share/man/man1/fmdgain.1*

# --------------------------------------------------------------------
%package -n fmdda-devel
Summary:	C++ interface to RCU 
Group:		Development/System
Requires:	%{name}
Requires:	rcudb-devel
Requires:	rcugsl-devel
Requires:       readraw-devel
%description -n fmdda-devel
C++ interface to RCU data

%files -n fmdda-devel
%defattr(-,root,root)
%{_prefix}/include/fmdda
%{_prefix}/lib/lib*.a
%{_prefix}/lib/lib*.la
%{_prefix}/lib/lib*.so
%{_prefix}/lib/pkgconfig/*
%{_prefix}/share/man/man1/fmdda-config.1*
%{_prefix}/bin/fmdda-config
%{_prefix}/share/aclocal/*


# --------------------------------------------------------------------
%prep 
%setup -q -n fmdda-%{version}

%build
%configure 
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install 

%clean
make clean
rm -rf $RPM_BUILD_ROOT

# --------------------------------------------------------------------
%changelog
* Mon Mar 05 2007 Christian Holm Christensen <cholm@nbi.dk>
- Also distribute tags

* Fri Mar 02 2007 Christian Holm Christensen <cholm@nbi.dk>
- Recompile for new Rcu++

* Mon Jan 15 2007 Christian Holm Christensen <cholm@nbi.dk>
- Fixes to progress meter

* Fri Jan 12 2007 Christian Holm Christensen <cholm@nbi.dk>
- Versioned runtime package

* Fri Jan 12 2007 Christian Holm Christensen <cholm@nbi.dk>
- Make separate runtime versioned RPM

* Fri Jan 12 2007 Christian Holm Christensen <cholm@nbi.dk>
- New version and so name

* Thu Jan 04 2007 Christian Holm Christensen <cholm@nbi.dk>
- New release for new Rcu++ and ReadRaw

* Mon Nov 06 2006 Christian Holm Christensen <cholm@nbi.dk>
- Fixes to release

* Mon Nov 06 2006 Christian Holm Christensen <cholm@nbi.dk>
- Fixes to release

* Mon Nov 06 2006 Christian Holm Christensen <cholm@nbi.dk>
- Fix some return values

* Sat Nov 04 2006 Christian Holm Christensen <cholm@nbi.dk>
- Fixed a problem in start

* Thu Oct 19 2006 Christian Holm Christensen <cholm@nbi.dk>
- New release

* Mon Oct 09 2006 Christian Holm Christensen <cholm@nbi.dk>
- Fixed some documentation

* Fri Oct 06 2006 Christian Holm Christensen <cholm@nbi.dk>
- Bumped revision number

* Tue Oct 03 2006 Christian Holm Christensen <cholm@nbi.dk>
- Fix to types

* Mon Sep 11 2006 Christian Holm Christensen <cholm@nbi.dk>
- invalid fill does not cause abort of reading

* Fri Aug 25 2006 Christian Holm Christensen <cholm@nbi.dk>
- Fix to progress meter

* Fri Aug 11 2006 Christian Holm Christensen <cholm@nbi.dk>
- More virtual functions

* Fri Aug 11 2006 Christian Holm Christensen <cholm@nbi.dk>
- Fix

* Fri Aug 11 2006 Christian Holm Christensen <cholm@nbi.dk>
- Enable non-blocking mode

* Thu Aug 10 2006 Christian Holm Christensen <cholm@nbi.dk>
- Bump release for RPM

* Thu Aug 10 2006 Christian Holm Christensen <cholm@nbi.dk>
- Added new classes

* Wed Jul 26 2006 Christian Holm Christensen <cholm@nbi.dk>
- Fixes

* Tue May 23 2006 Forward Multiplicity Detector <fmd@dhcp61.dhcp.nbi.dk> 
- Initial build.


